<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'newage',

    /*
     * Package.
     */
    'package'   => 'advertisement',

    /*
     * Modules.
     */
    'modules'   => ['advertisement', 'advt_hit'],

    'advertisement'       => [
        'model' => [
            'model'                 => \Newage\Advertisement\Models\Advertisement::class,
            'table'                 => 'advertisements',
            'presenter'             => \Newage\Advertisement\Repositories\Presenter\AdvertisementPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'image',  'description',  'status',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'advertisement/advertisement',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Newage',
            'package'   => 'Advertisement',
            'module'    => 'Advertisement',
        ],

    ],
    'advt_hit'       => [
        'model' => [
            'model'                 => \Newage\Advertisement\Models\AdvtHit::class,
            'table'                 => 'advt_hits',
            'presenter'             => \Newage\Advertisement\Repositories\Presenter\AdvtHitPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'views',  'clicks',  'ipaddress',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'advertisement/advt_hit',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Newage',
            'package'   => 'Advertisement',
            'module'    => 'AdvtHit',
        ],

    ],
];
