<?php

namespace Newage\Advertisement;

use User;

class Advertisement
{
    /**
     * $advertisement object.
     */
    protected $advertisement;    /**
     * $advt_hit object.
     */
    protected $advt_hit;

    /**
     * Constructor.
     */
    public function __construct(\Newage\Advertisement\Interfaces\AdvertisementRepositoryInterface $advertisement,        \Newage\Advertisement\Interfaces\AdvtHitRepositoryInterface $advt_hit)
    {
        $this->advertisement = $advertisement;        $this->advt_hit = $advt_hit;
    }

    /**
     * Returns count of advertisement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.advertisement.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->advertisement->pushCriteria(new \Litepie\Newage\Repositories\Criteria\AdvertisementUserCriteria());
        }

        $advertisement = $this->advertisement->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('advertisement::' . $view, compact('advertisement'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.advt_hit.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->advt_hit->pushCriteria(new \Litepie\Newage\Repositories\Criteria\AdvtHitUserCriteria());
        }

        $advt_hit = $this->advt_hit->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('advertisement::' . $view, compact('advt_hit'))->render();
    }
}
