<?php

namespace Newage\Advertisement\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Advertisement policy
        'Newage\Advertisement\Models\Advertisement' => \Newage\Advertisement\Policies\AdvertisementPolicy::class,// Bind AdvtHit policy
        'Newage\Advertisement\Models\AdvtHit' => \Newage\Advertisement\Policies\AdvtHitPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
