<?php

namespace Newage\Advertisement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdvertisementTransformer extends TransformerAbstract
{
    public function transform(\Newage\Advertisement\Models\Advertisement $advertisement)
    {
        return [
            'id'                => $advertisement->getRouteKey(),
            'key'               => [
                'public'    => $advertisement->getPublicKey(),
                'route'     => $advertisement->getRouteKey(),
            ], 
            'id'                => $advertisement->id,
            'title'             => $advertisement->title,
            'image'             => $advertisement->image,
            'description'       => $advertisement->description,
            'status'            => $advertisement->status,
            'created_at'        => $advertisement->created_at,
            'deleted_at'        => $advertisement->deleted_at,
            'updated_at'        => $advertisement->updated_at,
            'url'               => [
                'public'    => trans_url('advertisement/'.$advertisement->getPublicKey()),
                'user'      => guard_url('advertisement/advertisement/'.$advertisement->getRouteKey()),
            ], 
            'status'            => trans('app.'.$advertisement->status),
            'created_at'        => format_date($advertisement->created_at),
            'updated_at'        => format_date($advertisement->updated_at),
        ];
    }
}